博客也不知不觉进入了第八年,可能开始走向下坡路了,热情也没多少了。或许又要转型一波才行了2333

关于网站

3 月 4 日,无聊逛逛 VPS 评测的时候,见到香港 BGP 主机挺便宜的,但 KVM 不享受优惠,只能买个 OVZ 玩玩了,顺便将博客移到这个空间试试看看速度如何。只可惜不能搭55,不过共享 5 Mbps 也不太适合搭55吧

可惜刚买了后,这商家一直被友商DDOS了一下午,弄得我都想退了23333....

目前博客就放在香港 VPS,搬瓦工放置 goubi.me 和博客的备份

关于域名

可能 finer04.pw 这个域名准备再续一年就不续了,pw 域名越来越廉价了,而且很多 pw 域名被百度加入延迟收录名单,毕竟当初这域名实在是太便宜了,现在也是 3 块注册 50 块续费,一群垃圾站充斥着这个域名。

img

此类域名注册成本相对较低,因此成为了站群作弊者的温床,部分站群作弊者注册一个站点作弊,一旦被发现,马上新换另外一个。因此针对这类域名后缀,学院君不建议各位站长们使用,可能会出现搜索收录延迟等问题;如有发现正当运营的此类域名站点,请在平台验证站点,系统效验站点内容后,则会保持跟其他正常域名一样的收录优先级,请各位站长们也不用过于担心。

然而,我都去平台验证了一年了,到现在百度也不收录我的内容这文章简直说笑话。反正 pw 域名也那么没逼格了,那就只能战略性放弃这个陪伴了我 5 年的域名了。

最近在 gandi.net 都在看比较平价的域名(godaddy 真鸡儿贵,goubi.me都想转移到 gandi 了)。moe 域名真便宜,注册只要17R(x。

看着看着发现 fi 这个域名有点意思,本来想弄个 finer04.fi,不过想改变一下,就试着找其他相近的单词搜索有没有注册。fine.fi被注册,finer.fi也被注册,去爱词霸输入“fi”试试,随便挑几个单词看看有没有注册,但还是全都被注册了。最后在输入file.fi,忘记打上e,居然 fil.fi 没人注册 。OK,买!这么好记的域名居然没人要,6。

finer04.pw 估计再续完今年的就不续了,看看明年有没有心情继续续吧。

破宝塔

昨天买了新域名后,本来想在宝塔面板添加新买的域名后再弄SSL,打算使用 Let's Encrypt 解决新域名的证书,然而辣鸡宝塔却出错不让申请,弄得只能用腾讯云的 TrustAsia 证书。

报错原因:

Bootstrapping dependencies for RedHat-based OSes that will use Python3... (you can skip this with --no-bootstrap)
yum is /usr/bin/yum
To use Certbot, packages from the EPEL repository need to be installed. 

大意就是 Certbot 要 Python 3.0+ 的版本才能用,然而我的服务器只有原版的 Python 2.6.6,怎么办那就只能升级呗。

看了网上教程,从 Python 2.6 升到 Python 3.6 了,然而,做完软连接后还是不让用,查看下python -V ,版本还在 Python 2.6.6 ,那就完全删掉旧版python试试

rpm -qa|grep python|xargs rpm -ev --allmatches --nodeps
whereis python |xargs rm -frv 

删掉后,惨了,宝塔面板都进不去了(因为宝塔基于 Python 2.7,删了就没依赖环境了)。一时心急也把面板卸载了,再试试重装试试。又完了,yum 也用不了了(yum 也是基于 python 的),捣鼓一晚还是没搞定了。删掉面板后连酸酸乳和网站服务都停止用不了尴尬。

那。。怎么办,那就只能重装下 python 和 yum 呗(差点就想升级到 centos 7 了)。重装又是一波折腾。

报错和解决

其一

下完 python 和 yum 的所有 rpm(含依赖),直接一起安装看看。python 姑且没什么问题,到了yum就翻车了

libxml2-python is needed by yum-utils-1.1.30-37.el6.noarch

怎么办,依赖的确下好了,那就只能 --force --nodeps 来强制和无视依赖库安装了。

其二

装完后,运行 yum,又报错了。

There was a problem import[separator]ing one of the Python modules
required to run yum. The error leading to this problem was:

  No module named rpm

Please install a package which provides this module, or
verify that the module is installed correctly. 

怎么办,在网上大概看了下问题,似乎是 yum 还在调用高版本的 Python 所导致的不兼容,那就只能 vi /usr/bin/yum 来编辑第一行要调用的 python 的相对地址了。

其三

编辑后,问题依存。在网上继续寻找相关解决方法,在python 试试 import yum 试试,果不其然到这里又有问题了

Traceback (most recent call last): 
  File "<stdin>", line 1, in <module> 
  File "/usr/lib/python2.6/site-packages/yum/__init__.py", line 23, in <module> 
​    import rpm 
ImportError: No module named rpm 

文章中说这应该是缺包了,直接 rpm -ivh rpm-python-4.8.0-37.el6.i686.rpm 就行了。紧接 yum cleanyum list ,结束了。

折腾过后

面板重装后,很多设置都不见了,还好很多配置文件还是用编辑过的。

Certbot 依然还是不让我用,我也放弃折腾了(也许继续搞了软链接就能用了吧)。那就只能手动获取 SSL 来缓解下(SSL for Free)。

这个月 Let's Encrypt 将会支持免费泛域名 SSL,不用一个域名一个SSL了

转型什么

说道理博客是自由写作,没必要给自己限制内容。怕是以后就写写黄油剧透了,反正没人看。

每天看百度统计的实时访客,很多都是直接打开或者在巴哈那边来的,怀念以前一天100PV(并不),现在一天就10-30PV。